      PROGRAM srmacs 
      implicit none
      INCLUDE 'fpvm3.h'
      integer :: info
      integer :: msgtype
      character(len=2) :: pname = 'ms'
      CHARACTER(LEN=70) :: envstring
      integer :: nints
      integer, dimension(0:32) :: ints
      EXTERNAL fbuff

      envstring="STDOUT"
      msgtype  = 80 
      call x_ridat_p(msgtype,envstring,pname,nints,ints)
      call pvmfexit(info)
      end
